import type { KeyType } from './KeyType';
export declare class Key {
    readonly publicKey: Uint8Array;
    readonly keyType: KeyType;
    constructor(publicKey: Uint8Array, keyType: KeyType);
    get compressedPublicKey(): Uint8Array;
    static fromPublicKey(publicKey: Uint8Array, keyType: KeyType): Key;
    static fromPublicKeyBase58(publicKey: string, keyType: KeyType): Key;
    static fromFingerprint(fingerprint: string): Key;
    get prefixedPublicKey(): Uint8Array;
    get fingerprint(): string;
    get publicKeyBase58(): string;
    get supportsEncrypting(): boolean;
    get supportsSigning(): boolean;
    private toJSON;
}
